/*
 * ToGrammar.cpp
 *
 *  Created on: 9. 2. 2014
 *      Author: Jan Travnicek
 */

#include "ToGrammar.h"
#include <registration/AlgoRegistration.hpp>

namespace automaton {

namespace convert {

auto ToGrammarNFA = registration::AbstractRegister < ToGrammar, grammar::RightRG < >, const automaton::NFA < > & > ( ToGrammar::convert, "automaton" ).setDocumentation (
"Performs the conversion (@sa ToGrammarRightRG)\n\
\n\
@param automaton the automaton to convert\n\
@return right regular grammar equivalent to the input @p automaton" );

auto ToGrammarDFA = registration::AbstractRegister < ToGrammar, grammar::RightRG < >, const automaton::DFA < > & > ( ToGrammar::convert, "automaton" ).setDocumentation (
"Performs the conversion (@sa ToGrammarRightRG)\n\
\n\
@param automaton the automaton to convert\n\
@return right regular grammar equivalent to the input @p automaton" );

} /* namespace convert */

} /* namespace automaton */
