/*
* DistinguishableStates.cpp
 *
 *  Created on: 27. 3. 2019
 *	  Author: Tomas Pecka
 */

#include "DistinguishableStates.h"
#include <registration/AlgoRegistration.hpp>

namespace automaton {

namespace properties {

auto DistinguishableStatesDFA = registration::AbstractRegister < DistinguishableStates, ext::set < ext::pair < DefaultStateType, DefaultStateType > >, const automaton::DFA < > & > ( DistinguishableStates::distinguishableStates, "fsm" ).setDocumentation (
"Computes the pairs of distinguishable states in given DFA.\n\
\n\
@param dfa finite automaton.\n\
@return set of pairs of distinguishable states" );

} /* namespace properties */

} /* namespace automaton */

